<?php declare(strict_types = 1);
$ignoreErrors = [];
$excludePaths = [];
if (!file_exists('web/modules/contrib/webprofiler/src/DrupalDataCollectorInterface.php')) {
  $excludePaths[] = '*/modules/ui/src/DataCollector/EcaDataCollector.php';
}
if (!file_exists('web/modules/contrib/webprofiler/src/DataCollector/HasPanelInterface.php')) {
  $ignoreErrors[] = '#Method Symfony\\\\Contracts\\\\EventDispatcher\\\\EventDispatcherInterface::dispatch\(\) invoked with 2 parameters, 1 required.#';
  $excludePaths[] = '*/modules/ui/src/DataCollector/EcaDataCollector10.php';
}
return [
  'parameters' => [
    'level' => 6,
    'checkGenericClassInNonGenericObjectType' => FALSE,
    'ignoreErrors' => $ignoreErrors,
    'excludePaths' => [
      'analyseAndScan' => $excludePaths,
    ],
    'stubFiles' => [
      __DIR__ . '/tests/phpstan/stubs/CacheableDependencyInterface.stub',
      __DIR__ . '/tests/phpstan/stubs/CacheBackendInterface.stub',
      __DIR__ . '/tests/phpstan/stubs/CachedDiscoveryInterface.stub',
      __DIR__ . '/tests/phpstan/stubs/DefaultPluginManager.stub',
      __DIR__ . '/tests/phpstan/stubs/FormStateInterface.stub',
      __DIR__ . '/tests/phpstan/stubs/Map.stub',
      __DIR__ . '/tests/phpstan/stubs/TokenInterface.stub',
      __DIR__ . '/tests/phpstan/stubs/ViewsPluginInterface.stub'
    ]
  ]
];
